Item Replenishment
The item replenishment resource.
Basehttps://rest.carbon.ms/itemReplenishment
GET
/itemReplenishmentList item replenishments
Retrieve a paginated list of item replenishments. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/itemReplenishment
curl --request GET \
--url 'https://rest.carbon.ms/itemReplenishment?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"itemId": "xyz789",
"conversionFactor": 0,
"purchasingBlocked": true,
"manufacturingBlocked": true,
"requiresConfiguration": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/itemReplenishmentRetrieve a item replenishment
Fetch a single item replenishment by filtering on `itemId`.
Query parameters
itemIdstringMatch on the item replenishment's `itemId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/itemReplenishment
curl --request GET \
--url 'https://rest.carbon.ms/itemReplenishment?itemId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"itemId": "xyz789",
"conversionFactor": 0,
"purchasingBlocked": true,
"manufacturingBlocked": true,
"requiresConfiguration": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/itemReplenishmentCreate a item replenishment
Create a new item replenishment.
Body parameters
preferredSupplierIdstringReferences supplier.id
purchasingUnitOfMeasureCodestringconversionFactornumberrequiredpurchasingBlockedbooleanrequiredmanufacturingBlockedbooleanrequiredrequiresConfigurationbooleanrequiredlotSizenumbercompanyIdstringrequiredReferences company.id
customFieldsobjectscrapPercentagenumberrequiredtagsarrayleadTimenumberrequiredPOSThttps://rest.carbon.ms/itemReplenishment
curl --request POST \
--url https://rest.carbon.ms/itemReplenishment \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"conversionFactor":0,"purchasingBlocked":true,"manufacturingBlocked":true,"requiresConfiguration":true,"companyId":"xyz789","scrapPercentage":0,"leadTime":0}'Response
{
"itemId": "xyz789",
"conversionFactor": 0,
"purchasingBlocked": true,
"manufacturingBlocked": true,
"requiresConfiguration": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/itemReplenishmentUpdate a item replenishment
Update an existing item replenishment, matched on `itemId`.
Body parameters
preferredSupplierIdstringReferences supplier.id
purchasingUnitOfMeasureCodestringconversionFactornumberrequiredpurchasingBlockedbooleanrequiredmanufacturingBlockedbooleanrequiredrequiresConfigurationbooleanrequiredlotSizenumbercompanyIdstringrequiredReferences company.id
customFieldsobjectscrapPercentagenumberrequiredtagsarrayleadTimenumberrequiredPATCHhttps://rest.carbon.ms/itemReplenishment
curl --request PATCH \
--url 'https://rest.carbon.ms/itemReplenishment?itemId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"preferredSupplierId":"xyz789"}'Response
{
"itemId": "xyz789",
"conversionFactor": 0,
"purchasingBlocked": true,
"manufacturingBlocked": true,
"requiresConfiguration": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/itemReplenishmentDelete a item replenishment
Delete a item replenishment, matched on `itemId`. Returns 204 No Content.
Query parameters
itemIdstringThe `itemId` of the item replenishment to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/itemReplenishment
curl --request DELETE \
--url 'https://rest.carbon.ms/itemReplenishment?itemId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content